# acme.sh

Thanks to [gmk/ansible-role-acme_sh](https://codeberg.org/gmk/ansible-role-acme_sh)

Install acme.sh with ansible. 

## Configuration
```
# netcup settings
netcup_user: ID
netcup_api_key: KEY
netcup_api_password: PASSWORD

# certificate settings
acmesh_email: hostmaster@example.com
acme_domains:
  - domain: example.com
    keylength: ec-384
    reloadcmd: "sudo systemctl reload nginx.service"
    dnssleep: 900
  - domain: example.org
    san:
      - www.example.com
      - host.example.com
    keylength: 3072
    staging: true
    key_group: www-data
    key_mode: "0640"
```